System requirements

We have two versions of our add-in to cater for different requirements.

I don't know which add-in I'm using

Meetoo PowerPoint Add-in

The minimum supported PC requirements to run the Meetoo PowerPoint Add-In are:

Operating System

The supported operating systems for the Meetoo PowerPoint Add-In are;

  • Microsoft Windows 7 SP 1 (32-bit or 64-bit)
  • Microsoft Windows 8.1 (32-bit or 64-bit)
  • Microsoft Windows 10 (32-bit or 64-bit)

Office

The supported versions of Microsoft PowerPoint for the Meetoo PowerPoint Add-In are;

  • Microsoft PowerPoint 2010 with SP2 (32-bit or 64-bit)
  • Microsoft PowerPoint 2013 with SP1 (32-bit or 64-bit)
  • Microsoft PowerPoint 2016 (32-bit or 64-bit)

User Accounts

Administrator privileges required for installation only. Standard user accounts may run the software once installed.

Internet Connection

An internet connection is required during installation to download pre-requisite applications.

Questions may be created and edited whilst offline but to poll questions and accept responses from web enabled devices an internet connection is required.

Meetoo - Real-time Polling

The Meetoo Real-time polling add-in is a Microsoft Office Store Add-in.  In order to download products from the office store you need.

Operating System

  • Microsoft Windows 7 SP 1 (32-bit or 64-bit)
  • Microsoft Windows 8.1 (32-bit or 64-bit)
  • Microsoft Windows 10 (32-bit or 64-bit)
  • Mac OS X 10.11 (El Capitan)

Office

If using a windows operating system the supported versions of Microsoft PowerPoint are;

  • Microsoft PowerPoint 2010 with SP2 (32-bit or 64-bit)
  • Microsoft PowerPoint 2013 with SP1 (32-bit or 64-bit)
  • Microsoft PowerPoint 2016 (32-bit or 64-bit)

If using a Mac the supported versions of Microsoft PowerPoint are;

  • Microsoft PowerPoint 2016 for Mac

Internet Connection

An internet connection is required at all times to in order to create polls, poll questions and accept responses from web enabled devices.